com.ibm.openpages.api.workflow

## Class WFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ibm.openpages.api.OpenPagesException
        - - com.ibm.openpages.api.workflow.WFException

- All Implemented Interfaces:
    java.io.Serializable

      public class WFException
      extends OpenPagesException

  Represents exception thrown by the native workflow system.
  Since:
    8.0.0.2
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTION_COMMENT_IS_REQUIRED`
    `static int` | `ACTION_FAILURE`
    `static int` | `ACTION_PERMISSION_NOT_GRANTED`
    `static int` | `ACTIVITY_FIRST_NOTIFICATION_NON_INTEGER`
    `static int` | `ACTIVITY_NAME_NOT_UNIQUE`
    `static int` | `ACTIVITY_NOTIFICATION_FREQ_NON_INTEGER`
    `static int` | `ACTIVITY_NOTIFICATION_MORE_THAN_YEAR_DAYS`
    `static int` | `ACTIVITY_NOTIFICATION_NEGATIVE_DAYS`
    `static int` | `ACTIVITY_NOTIFICATION_NOT_ALLOWED`
    `static int` | `ACTIVITY_NOTIFICATION_OVERDUE_FREQ_NON_INTEGER`
    `static int` | `ACTIVITY_NOTIFICATION_PRE_FREQUENCY_INVALID`
    `static int` | `CANNOT_INSTANTIATE_DISABLED_DEFINITION`
    `static int` | `CANNOT_PUBLISH_CHILDLESS_NODE`
    `static int` | `CONFLICTING_CONDITIONS`
    `static int` | `CONFLICTING_CONDITIONS_ON_CREATION`
    `static int` | `CUSTOM_ACTION_ERROR`
    `static int` | `CYCLIC_GATEWAY`
    `static int` | `ERROR_CONCURRENT_BULK_WORKFLOW_START`
    `static int` | `ERROR_CREATING_NEW_OBJECT`
    `static int` | `FAIL_TO_LAUNCH_WORKFLOWS`
    `static int` | `ILLEGAL_WORKFLOW_OPERATION`
    `static int` | `INSUFFICIENT_INFO_FOR_CALC`
    `static int` | `INVALID_ACTION`
    `static int` | `INVALID_ACTIVITY`
    `static int` | `INVALID_ADVANCED_CONDITION`
    `static int` | `INVALID_ASSIGNEE_VALUE`
    `static int` | `INVALID_ATTRIBUTE_NAME`
    `static int` | `INVALID_AUTOMATED_STAGE`
    `static int` | `INVALID_CALCULATION_OPERATION`
    `static int` | `INVALID_CALCULATION_SYNTAX`
    `static int` | `INVALID_CALCULATION_VALUE`
    `static int` | `INVALID_CONDITIONS`
    `static int` | `INVALID_CUSTOM_ACTION_CLASS`
    `static int` | `INVALID_EMAIL_TEMPLATE`
    `static int` | `INVALID_END_ACTIVITY`
    `static int` | `INVALID_FIELD_REFERENCE`
    `static int` | `INVALID_FIELD_VALUE`
    `static int` | `INVALID_FUNCTION_ARGUMENTS`
    `static int` | `INVALID_FUNCTION_DEFFINITION`
    `static int` | `INVALID_FUNCTION_FOR_TYPE`
    `static int` | `INVALID_JOB_CONFIGURATION`
    `static int` | `INVALID_OBJECT_CHILD`
    `static int` | `INVALID_OBJECT_PARENT`
    `static int` | `INVALID_OBJECT_REFERENCE`
    `static int` | `INVALID_OBJECT_TYPE`
    `static int` | `INVALID_PROCESS_CRITICALITY_VALUE`
    `static int` | `INVALID_PROCESS_DEFINITION`
    `static int` | `INVALID_REGEX_EXPRESSION`
    `static int` | `INVALID_SETTER_FIELD`
    `static int` | `INVALID_TRANSITION`
    `static int` | `MISSING_ACTIVE_PROCESS`
    `static int` | `MISSING_CONDITION`
    `static int` | `MISSING_FIELD_NAME`
    `static int` | `MISSING_GUIDANCE_OVERRIDE_LABELS`
    `static int` | `MISSING_OPEN_ACTIVITY`
    `static int` | `MULTIPLE_DEFAULT_TRANSITIONS`
    `static int` | `NO_END_ACTIVITY_DEFINED`
    `static int` | `NO_PERMISSIONT_READ_RESOURCE`
    `static int` | `NO_VALID_CONDITIONS`
    `static int` | `NO_VALID_PATHS`
    `static int` | `ONLY_ONE_STARTING_ACTIVITY`
    `static int` | `OPEN_SUB_PROCESSES`
    `static int` | `PROCESS_CLOSED`
    `static int` | `PROCESS_DEFINITION_ALREADY_EXISTS`
    `static int` | `PROCESS_DEFINITION_CONCURRENT_MODIFICATION`
    `static int` | `PROCESS_DEFINITION_DOESNT_EXIST`
    `static int` | `PROCESS_DEFINITION_JOB_ALREADY_EXISTS`
    `static int` | `PROCESS_EXECUTING`
    `static int` | `REFERENCED_BY_RULE_ACTION`
    `static int` | `RESOURCE_HAS_ACTIVE_WORKFLOW`
    `static int` | `RESOURCE_HAS_NO_PARENT_OBJECT`
    `static int` | `START_NODE_MISSING_CONDITIONS`
    `static int` | `TOO_MANY_CHAINED_WORKFLOW_LAUNCH`
    `static int` | `TRANSITION_FAILURE`
    `static int` | `TRANSITION_NAME_NOT_UNIQUE`
    `static int` | `UNDEFINED_FUNCTION`
    `static int` | `VALIDATION_ERROR_ADVANCED_LOGIC`
    `static int` | `VALIDATION_ERROR_COUNT_MATCH`
    `static int` | `VALIDATION_ERROR_COUNT_UNMATCH`
    `static int` | `VALIDATION_ERROR_CUSTOM_MESSAGE`
    `static int` | `VALIDATION_ERROR_FIELD_EMPTY`
    `static int` | `VALIDATION_ERROR_FIELD_EQUAL`
    `static int` | `VALIDATION_ERROR_FIELD_GREATER`
    `static int` | `VALIDATION_ERROR_FIELD_GREATER_EQUAL`
    `static int` | `VALIDATION_ERROR_FIELD_HIERARCHY_IN`
    `static int` | `VALIDATION_ERROR_FIELD_HIERARCHY_NOT_IN`
    `static int` | `VALIDATION_ERROR_FIELD_IN`
    `static int` | `VALIDATION_ERROR_FIELD_IN_GROUP`
    `static int` | `VALIDATION_ERROR_FIELD_LESS`
    `static int` | `VALIDATION_ERROR_FIELD_LESS_EQUAL`
    `static int` | `VALIDATION_ERROR_FIELD_LIKE`
    `static int` | `VALIDATION_ERROR_FIELD_MATCH`
    `static int` | `VALIDATION_ERROR_FIELD_MATCHES_ANY`
    `static int` | `VALIDATION_ERROR_FIELD_MATCHES_NONE`
    `static int` | `VALIDATION_ERROR_FIELD_NOT_EMPTY`
    `static int` | `VALIDATION_ERROR_FIELD_NOT_EQUAL`
    `static int` | `VALIDATION_ERROR_FIELD_NOT_IN`
    `static int` | `VALIDATION_ERROR_FIELD_NOT_IN_GROUP`
    `static int` | `VALIDATION_ERROR_FIELD_NOT_LIKE`
    `static int` | `VALIDATION_ERROR_FIELD_UNMATCH`
    `static int` | `VALIDATION_ERROR_INVALID_COMPARISON`
    `static int` | `VALIDATION_ERROR_MATCH`
    `static int` | `VALIDATION_ERROR_UNMATCH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WFException(int errorMessageId, java.util.List<java.lang.Object> parameters, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WFConditionReport` | `getConditionReport()` Returns the `WFConditionReport` which contains all the validation results in the transition of a process definition.

    - ### Methods inherited from class com.ibm.openpages.api.OpenPagesException

      `getAdditionalMessage, getCode, getLocalizedMessage, getMessage, getParameters, getTimestamp`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_PROCESS_DEFINITION

          public static final int INVALID_PROCESS_DEFINITION

      See Also:
        Constant Field Values

    - #### INVALID_ACTIVITY

          public static final int INVALID_ACTIVITY

      See Also:
        Constant Field Values

    - #### INVALID_TRANSITION

          public static final int INVALID_TRANSITION

      See Also:
        Constant Field Values

    - #### INVALID_SETTER_FIELD

          public static final int INVALID_SETTER_FIELD

      See Also:
        Constant Field Values

    - #### OPEN_SUB_PROCESSES

          public static final int OPEN_SUB_PROCESSES

      See Also:
        Constant Field Values

    - #### ONLY_ONE_STARTING_ACTIVITY

          public static final int ONLY_ONE_STARTING_ACTIVITY

      See Also:
        Constant Field Values

    - #### INVALID_ACTION

          public static final int INVALID_ACTION

      See Also:
        Constant Field Values

    - #### MISSING_ACTIVE_PROCESS

          public static final int MISSING_ACTIVE_PROCESS

      See Also:
        Constant Field Values

    - #### MISSING_OPEN_ACTIVITY

          public static final int MISSING_OPEN_ACTIVITY

      See Also:
        Constant Field Values

    - #### RESOURCE_HAS_ACTIVE_WORKFLOW

          public static final int RESOURCE_HAS_ACTIVE_WORKFLOW

      See Also:
        Constant Field Values

    - #### ACTIVITY_NAME_NOT_UNIQUE

          public static final int ACTIVITY_NAME_NOT_UNIQUE

      See Also:
        Constant Field Values

    - #### TRANSITION_NAME_NOT_UNIQUE

          public static final int TRANSITION_NAME_NOT_UNIQUE

      See Also:
        Constant Field Values

    - #### TRANSITION_FAILURE

          public static final int TRANSITION_FAILURE

      See Also:
        Constant Field Values

    - #### ACTION_FAILURE

          public static final int ACTION_FAILURE

      See Also:
        Constant Field Values

    - #### NO_PERMISSIONT_READ_RESOURCE

          public static final int NO_PERMISSIONT_READ_RESOURCE

      See Also:
        Constant Field Values

    - #### RESOURCE_HAS_NO_PARENT_OBJECT

          public static final int RESOURCE_HAS_NO_PARENT_OBJECT

      See Also:
        Constant Field Values

    - #### INVALID_FIELD_REFERENCE

          public static final int INVALID_FIELD_REFERENCE

      See Also:
        Constant Field Values

    - #### INVALID_ASSIGNEE_VALUE

          public static final int INVALID_ASSIGNEE_VALUE

      See Also:
        Constant Field Values

    - #### INVALID_CONDITIONS

          public static final int INVALID_CONDITIONS

      See Also:
        Constant Field Values

    - #### INVALID_ATTRIBUTE_NAME

          public static final int INVALID_ATTRIBUTE_NAME

      See Also:
        Constant Field Values

    - #### INVALID_FIELD_VALUE

          public static final int INVALID_FIELD_VALUE

      See Also:
        Constant Field Values

    - #### INVALID_OBJECT_REFERENCE

          public static final int INVALID_OBJECT_REFERENCE

      See Also:
        Constant Field Values

    - #### CANNOT_INSTANTIATE_DISABLED_DEFINITION

          public static final int CANNOT_INSTANTIATE_DISABLED_DEFINITION

      See Also:
        Constant Field Values

    - #### PROCESS_DEFINITION_DOESNT_EXIST

          public static final int PROCESS_DEFINITION_DOESNT_EXIST

      See Also:
        Constant Field Values

    - #### INVALID_PROCESS_CRITICALITY_VALUE

          public static final int INVALID_PROCESS_CRITICALITY_VALUE

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_UNMATCH

          public static final int VALIDATION_ERROR_FIELD_UNMATCH

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_MATCH

          public static final int VALIDATION_ERROR_FIELD_MATCH

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_COUNT_UNMATCH

          public static final int VALIDATION_ERROR_COUNT_UNMATCH

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_COUNT_MATCH

          public static final int VALIDATION_ERROR_COUNT_MATCH

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_UNMATCH

          public static final int VALIDATION_ERROR_UNMATCH

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_MATCH

          public static final int VALIDATION_ERROR_MATCH

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_INVALID_COMPARISON

          public static final int VALIDATION_ERROR_INVALID_COMPARISON

      See Also:
        Constant Field Values

    - #### INVALID_OBJECT_TYPE

          public static final int INVALID_OBJECT_TYPE

      See Also:
        Constant Field Values

    - #### MISSING_FIELD_NAME

          public static final int MISSING_FIELD_NAME

      See Also:
        Constant Field Values

    - #### MISSING_CONDITION

          public static final int MISSING_CONDITION

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_CUSTOM_MESSAGE

          public static final int VALIDATION_ERROR_CUSTOM_MESSAGE

      See Also:
        Constant Field Values

    - #### INVALID_CUSTOM_ACTION_CLASS

          public static final int INVALID_CUSTOM_ACTION_CLASS

      See Also:
        Constant Field Values

    - #### CUSTOM_ACTION_ERROR

          public static final int CUSTOM_ACTION_ERROR

      See Also:
        Constant Field Values

    - #### PROCESS_CLOSED

          public static final int PROCESS_CLOSED

      See Also:
        Constant Field Values

    - #### PROCESS_EXECUTING

          public static final int PROCESS_EXECUTING

      See Also:
        Constant Field Values

    - #### INVALID_END_ACTIVITY

          public static final int INVALID_END_ACTIVITY

      See Also:
        Constant Field Values

    - #### NO_END_ACTIVITY_DEFINED

          public static final int NO_END_ACTIVITY_DEFINED

      See Also:
        Constant Field Values

    - #### NO_VALID_PATHS

          public static final int NO_VALID_PATHS

      See Also:
        Constant Field Values

    - #### CANNOT_PUBLISH_CHILDLESS_NODE

          public static final int CANNOT_PUBLISH_CHILDLESS_NODE

      See Also:
        Constant Field Values

    - #### START_NODE_MISSING_CONDITIONS

          public static final int START_NODE_MISSING_CONDITIONS

      See Also:
        Constant Field Values

    - #### NO_VALID_CONDITIONS

          public static final int NO_VALID_CONDITIONS

      See Also:
        Constant Field Values

    - #### CONFLICTING_CONDITIONS

          public static final int CONFLICTING_CONDITIONS

      See Also:
        Constant Field Values

    - #### MULTIPLE_DEFAULT_TRANSITIONS

          public static final int MULTIPLE_DEFAULT_TRANSITIONS

      See Also:
        Constant Field Values

    - #### CYCLIC_GATEWAY

          public static final int CYCLIC_GATEWAY

      See Also:
        Constant Field Values

    - #### ACTION_PERMISSION_NOT_GRANTED

          public static final int ACTION_PERMISSION_NOT_GRANTED

      See Also:
        Constant Field Values

    - #### CONFLICTING_CONDITIONS_ON_CREATION

          public static final int CONFLICTING_CONDITIONS_ON_CREATION

      See Also:
        Constant Field Values

    - #### ILLEGAL_WORKFLOW_OPERATION

          public static final int ILLEGAL_WORKFLOW_OPERATION

      See Also:
        Constant Field Values

    - #### INVALID_EMAIL_TEMPLATE

          public static final int INVALID_EMAIL_TEMPLATE

      See Also:
        Constant Field Values

    - #### PROCESS_DEFINITION_ALREADY_EXISTS

          public static final int PROCESS_DEFINITION_ALREADY_EXISTS

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_EMPTY

          public static final int VALIDATION_ERROR_FIELD_EMPTY

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_NOT_EMPTY

          public static final int VALIDATION_ERROR_FIELD_NOT_EMPTY

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_EQUAL

          public static final int VALIDATION_ERROR_FIELD_EQUAL

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_NOT_EQUAL

          public static final int VALIDATION_ERROR_FIELD_NOT_EQUAL

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_LIKE

          public static final int VALIDATION_ERROR_FIELD_LIKE

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_NOT_LIKE

          public static final int VALIDATION_ERROR_FIELD_NOT_LIKE

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_IN

          public static final int VALIDATION_ERROR_FIELD_IN

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_NOT_IN

          public static final int VALIDATION_ERROR_FIELD_NOT_IN

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_IN_GROUP

          public static final int VALIDATION_ERROR_FIELD_IN_GROUP

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_NOT_IN_GROUP

          public static final int VALIDATION_ERROR_FIELD_NOT_IN_GROUP

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_GREATER

          public static final int VALIDATION_ERROR_FIELD_GREATER

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_GREATER_EQUAL

          public static final int VALIDATION_ERROR_FIELD_GREATER_EQUAL

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_LESS

          public static final int VALIDATION_ERROR_FIELD_LESS

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_LESS_EQUAL

          public static final int VALIDATION_ERROR_FIELD_LESS_EQUAL

      See Also:
        Constant Field Values

    - #### PROCESS_DEFINITION_CONCURRENT_MODIFICATION

          public static final int PROCESS_DEFINITION_CONCURRENT_MODIFICATION

      See Also:
        Constant Field Values

    - #### ACTION_COMMENT_IS_REQUIRED

          public static final int ACTION_COMMENT_IS_REQUIRED

      See Also:
        Constant Field Values

    - #### INVALID_REGEX_EXPRESSION

          public static final int INVALID_REGEX_EXPRESSION

      See Also:
        Constant Field Values

    - #### INVALID_AUTOMATED_STAGE

          public static final int INVALID_AUTOMATED_STAGE

      See Also:
        Constant Field Values

    - #### ERROR_CREATING_NEW_OBJECT

          public static final int ERROR_CREATING_NEW_OBJECT

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_HIERARCHY_IN

          public static final int VALIDATION_ERROR_FIELD_HIERARCHY_IN

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_HIERARCHY_NOT_IN

          public static final int VALIDATION_ERROR_FIELD_HIERARCHY_NOT_IN

      See Also:
        Constant Field Values

    - #### FAIL_TO_LAUNCH_WORKFLOWS

          public static final int FAIL_TO_LAUNCH_WORKFLOWS

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_MATCHES_ANY

          public static final int VALIDATION_ERROR_FIELD_MATCHES_ANY

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_FIELD_MATCHES_NONE

          public static final int VALIDATION_ERROR_FIELD_MATCHES_NONE

      See Also:
        Constant Field Values

    - #### ERROR_CONCURRENT_BULK_WORKFLOW_START

          public static final int ERROR_CONCURRENT_BULK_WORKFLOW_START

      See Also:
        Constant Field Values

    - #### REFERENCED_BY_RULE_ACTION

          public static final int REFERENCED_BY_RULE_ACTION

      See Also:
        Constant Field Values

    - #### INVALID_FUNCTION_ARGUMENTS

          public static final int INVALID_FUNCTION_ARGUMENTS

      See Also:
        Constant Field Values

    - #### INVALID_FUNCTION_FOR_TYPE

          public static final int INVALID_FUNCTION_FOR_TYPE

      See Also:
        Constant Field Values

    - #### UNDEFINED_FUNCTION

          public static final int UNDEFINED_FUNCTION

      See Also:
        Constant Field Values

    - #### INVALID_FUNCTION_DEFFINITION

          public static final int INVALID_FUNCTION_DEFFINITION

      See Also:
        Constant Field Values

    - #### TOO_MANY_CHAINED_WORKFLOW_LAUNCH

          public static final int TOO_MANY_CHAINED_WORKFLOW_LAUNCH

      See Also:
        Constant Field Values

    - #### MISSING_GUIDANCE_OVERRIDE_LABELS

          public static final int MISSING_GUIDANCE_OVERRIDE_LABELS

      See Also:
        Constant Field Values

    - #### INVALID_ADVANCED_CONDITION

          public static final int INVALID_ADVANCED_CONDITION

      See Also:
        Constant Field Values

    - #### INVALID_CALCULATION_SYNTAX

          public static final int INVALID_CALCULATION_SYNTAX

      See Also:
        Constant Field Values

    - #### INVALID_CALCULATION_OPERATION

          public static final int INVALID_CALCULATION_OPERATION

      See Also:
        Constant Field Values

    - #### INVALID_CALCULATION_VALUE

          public static final int INVALID_CALCULATION_VALUE

      See Also:
        Constant Field Values

    - #### INSUFFICIENT_INFO_FOR_CALC

          public static final int INSUFFICIENT_INFO_FOR_CALC

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR_ADVANCED_LOGIC

          public static final int VALIDATION_ERROR_ADVANCED_LOGIC

      See Also:
        Constant Field Values

    - #### PROCESS_DEFINITION_JOB_ALREADY_EXISTS

          public static final int PROCESS_DEFINITION_JOB_ALREADY_EXISTS

      See Also:
        Constant Field Values

    - #### INVALID_JOB_CONFIGURATION

          public static final int INVALID_JOB_CONFIGURATION

      See Also:
        Constant Field Values

    - #### INVALID_OBJECT_CHILD

          public static final int INVALID_OBJECT_CHILD

      See Also:
        Constant Field Values

    - #### INVALID_OBJECT_PARENT

          public static final int INVALID_OBJECT_PARENT

      See Also:
        Constant Field Values

    - #### ACTIVITY_NOTIFICATION_NOT_ALLOWED

          public static final int ACTIVITY_NOTIFICATION_NOT_ALLOWED

      See Also:
        Constant Field Values

    - #### ACTIVITY_NOTIFICATION_PRE_FREQUENCY_INVALID

          public static final int ACTIVITY_NOTIFICATION_PRE_FREQUENCY_INVALID

      See Also:
        Constant Field Values

    - #### ACTIVITY_NOTIFICATION_NEGATIVE_DAYS

          public static final int ACTIVITY_NOTIFICATION_NEGATIVE_DAYS

      See Also:
        Constant Field Values

    - #### ACTIVITY_FIRST_NOTIFICATION_NON_INTEGER

          public static final int ACTIVITY_FIRST_NOTIFICATION_NON_INTEGER

      See Also:
        Constant Field Values

    - #### ACTIVITY_NOTIFICATION_FREQ_NON_INTEGER

          public static final int ACTIVITY_NOTIFICATION_FREQ_NON_INTEGER

      See Also:
        Constant Field Values

    - #### ACTIVITY_NOTIFICATION_OVERDUE_FREQ_NON_INTEGER

          public static final int ACTIVITY_NOTIFICATION_OVERDUE_FREQ_NON_INTEGER

      See Also:
        Constant Field Values

    - #### ACTIVITY_NOTIFICATION_MORE_THAN_YEAR_DAYS

          public static final int ACTIVITY_NOTIFICATION_MORE_THAN_YEAR_DAYS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WFException

          public WFException(int errorMessageId,
                             java.util.List<java.lang.Object> parameters,
                             java.lang.Throwable cause)

      Parameters:
        `errorMessageId` -
        `parameters` -
        `cause` -

  - ### Method Detail

    - #### getConditionReport

          public WFConditionReport getConditionReport()

      Returns the `WFConditionReport` which contains all the validation results in the transition of a process definition.
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.